<?php

// Definirea adresei paginii, pt. BD
if(isset($_GET['pag'])) {
  header("Content-type: text/html; charset=utf-8");
  // Conectare-selectare baza de date - functia set_sir
  include_once("admin.php");
  include_once("functii.php");
  $pag_db = $_GET['pag'];
  $pag_db = urlencode($pag_db);	// Codifica tip URL caracterele speciale
}
else if(isset($_POST['c_pag'])) {
  include_once("comentarii/admin.php");
  include_once("comentarii/functii.php");
  $pag_db = $_POST['c_pag'];
}
else {
  include_once("comentarii/admin.php");
  include_once("comentarii/functii.php");
  $pag_db = $_SERVER['REQUEST_URI'];
  $pag_db = urlencode($pag_db);	// Codifica tip URL caracterele speciale
}
$pag_db = clean_data($pag_db);		// Curata sirul pt. siguranta in MySQL

// Functia pt. administrator
if(isset($_POST['n_admin']) && isset($_POST['p_admin'])) {
  if($_POST['n_admin']==$n_admin && $_POST['p_admin']==$p_admin) {
	$adm = "admin_Com";
	function admin($nr_c, $id_c) {
	  GLOBAL $n_admin, $p_admin;
	  $modifica = '<div class="nr_coms"><span> <a href="#modifica" onclick="mods(\''.$nr_c.'\')">Modifica</a> - <a href="#" onclick="s_clase_popup(this, \''.$id_c.'\')">Sterge</a></span> &nbsp;'.$nr_c.' </div>';

	  return $modifica;
	}
  }
  else {
	$alert = '<script type="text/javascript">
	  <!-- 
		window.alert("Nume sau Parola administrator incorecte");
	  //-->
	  </script>';
	echo $alert;
  }
}

// Afla cate randuri sunt in tabel pt. pagina
$sql = "SELECT COUNT(*) FROM `comentarii` WHERE `pagina`='$pag_db'";  
$result = mysql_query($sql, $conn) or trigger_error(E_USER_ERROR);  
$r = mysql_fetch_row($result);  
$numrows = $r[0]; 

// Afla nr. pagini necesare [ceil-rotunjire la int. maxim]
$totalpages = ceil($numrows/$rowsperpage);

// Obtine pagina curenta sau seteaza default  
if (isset($_GET['currentpage']) && is_numeric($_GET['currentpage'])) {  
  // seteaza variabila ca int
  $currentpage = (int) $_GET['currentpage'];  
}
else if(isset($_POST['n_pag'])) {
  $currentpage = (int) $_POST['n_pag'];
}
else {  
  // numarul paginii default
  $currentpage = $totalpages;  
} 

// daca pagina curenta e mai mare decat total pagini...
if ($currentpage > $totalpages) {
  // seteaza pagina curenta la ultima pagina  
  $currentpage = $totalpages;  
}

// daca pagina curenta e mai mica decat prima pagina... 
if ($currentpage < 1) {
  // seteaza pagina curenta la prima pagina  
  $currentpage = 1;  
} 

// lista cu pagini, in functie de pagina curenta   
$offset = ($currentpage - 1) * $rowsperpage;
// obtine datele din BD  
$sql = "(SELECT * FROM `comentarii` WHERE `pagina`='$pag_db' LIMIT $offset, $rowsperpage) ORDER BY `id` DES";
$result = mysql_query($sql, $conn) or trigger_error(E_USER_ERROR);  
$nr_coment = $offset;	// Nr. de ordine pt. comentarii

// obtinerea separata a datelor din campurile BD
while ($list = mysql_fetch_assoc($result)) {
  $nume = stripslashes($list['nume']);
  $email = stripslashes($list['email']);
  $coment = stripslashes($list['coment']);
  $site = stripslashes($list['site']);
  $data = date('j-F-Y, &\n\b\sp; G:i ', $list['data']);
  $id = $list['id'];
  $nr_coment++;

  // Adauga la nume link-ul pt. site, daca utilizatorul a adaugat un site
  if (strlen($site)>15) {
	$nume = '<a href="'.$site.'" id="n'.$nr_coment.'">'.$nume.'</a>';
  }

  /*** Stabilirea afisarii datelor ***/
  
  if(isset($adm) && $adm=="admin_Com") {
	// Defineste tag-ul <span> cu 'nume', folosit la modificare
	if (strlen($site)>15) {
	  $span_nume = '<span>'.$nume.'</span>';
	}
	else {
	  $span_nume = '<span id="n'.$nr_coment.'">'.$nume.'</span>';
	}

	// afisarea comentariilor pt. admin
	echo "\r\n".'<span id="d'.$nr_coment.'" style="display:none;">'.$id.'</span>';
	echo '<div class="coms'.($nr_coment%2).'"><div class="n_coms"> &#1440; '.$span_nume.' </div>';
	echo admin($nr_coment, $id);
	echo '<span id="e'.$nr_coment.'" class="e_coms">'. $email. '</span>';
	echo '<em class="d_coms">'. $data. '</em> &nbsp; &nbsp; &nbsp; ';
	echo '<br /><div id="c'.$nr_coment.'" class="c_coms">'. unformat_smiles($coment). '</div></div><hr class="linie_coms"/>'."\r\n";
  }
  // afisarea comentariilor pt. vizitatori
  else {
	echo "\r\n".'<div class="coms'.($nr_coment%2).'"><div class="n_coms"> &#1440; '.$nume.' </div> <div class="nr_coms"> '.$nr_coment.' </div><span class="e_coms">'. $email. '</span><em class="d_coms">'. $data. '</em> &nbsp; &nbsp; &nbsp; ';
	echo '<br /><div class="c_coms">'. $coment. '</div></div><hr class="linie_coms"/>'."\r\n";
  }
}
mysql_close(); 
 
/*** Construirea link-urilor pt. paginare ***/ 

echo '<div id="links_pag">';
 
// raza nr. link-uri
$range = 3;  
 
// Link-uri inapoi, daca pagina curenta nu e prima
if ($currentpage > 1) {  
  // arata << pt. link la prima pagina 
  echo " <a href=\"#mp\" onclick=\"javascript: ajaxF('1');\">&lt;&lt;</a> ";  
  // obtine nr. pagina din urma
  $prevpage = $currentpage - 1;  
  // arata < pt. link la o pagina in urma
  echo " &nbsp;<a href=\"#mp\" onclick=\"javascript: ajaxF('$prevpage');\">&lt;</a>&nbsp;";  
}
 
// definirea link-urilor din raza paginii curente  
for ($x = ($currentpage - $range); $x < (($currentpage + $range) + 1); $x++) {  
  // daca e un nr. de pagina valid ...
  if (($x > 0) && ($x <= $totalpages)) {  
	 // daca nr. e pagina curenta ...
	 if ($x == $currentpage) { 
	   if ($currentpage=="1" && $totalpages=="1") {
			echo ' ';
	   }
	   else {
		// afiseaza fara sa fie link
		echo " [<b>$x</b>] ";
	  }
	 }
	 // daca nr. nu e pagina curenta ...
	 else {  
		// il face link 
	echo " <a href=\"#mp\" onclick=\"javascript: ajaxF('$x');\">$x</a> ";  
	 }
  }   
}

// Link-uri inainte, daca pagina curenta nu e ultima
if ($currentpage < $totalpages) {  
  // obtine urmatoarea pagina
  $nextpage = $currentpage + 1;  
   // arata > pt. urmatoarea pagina
  echo " &nbsp;<a href=\"#mp\" onclick=\"javascript: ajaxF('$nextpage');\">&gt;</a>&nbsp; ";  
  // arata >> pt. ultima pagina
  echo " <a href=\"#mp\" onclick=\"javascript: ajaxF('$totalpages');\">&gt;&gt;</a> ";  
}
echo "</div>\r\n";

// Includerea pt. admin
if(isset($adm) && $adm=="admin_Com") {
  require("comentarii/adm.php");
}
else {
  echo "<h4 id=\"admin\" onclick=\"OnOff('fadmin', 'admin');\">Administrator</h4>";
}
?>